package xyz.wbsite.frame.provider;

import xyz.wbsite.frame.base.Token;
import xyz.wbsite.frame.base.UserEntity;

import javax.validation.constraints.NotNull;

public interface TokenProvider {

    Token build(@NotNull UserEntity userEntity);

    Token build(@NotNull String token);
}
